{% extends 'base.html.twig' %}
{% block header_title %}Résultats du sondage discours publics {% endblock %}
{% block breadcrumb %}
  <li class="breadcrumb-item active">
    <a href="{{ path('app_meeting_weekend_speech_survey_list', {'year': 2025}) }}">Sondages</a>
  </li>
  <li class="breadcrumb-item active">
    <a href="#">Résultats</a>
  </li>
{% endblock %}



{% block body %}
  {% for message in app.flashes('success') %}
    <div class="alert alert-fill alert-icon alert-success alert-dismissible">
      <em class="icon ni ni-check-circle-fill"></em>
      {{ message }}
    </div>
  {% endfor %}
  <div class="col-xxl-12 col-sm-12 col-md-12">
    <div class="card card-bordered card-full">
      <div class="card-inner">
        <div class="card-title-group">
          <div class="card-title">
            <h6 class="title"><span class="me-2">Sondages discours publics</span></h6>
          </div>
        </div>
      </div>
      <div class="card-inner p-0 border-top">
        <div class="row p-2">
          <div class="col-lg-3">
            <label>
              Filtrer
              <select name="selectSpeaker"  class="form-select selectSpeaker">
                <option value="" disabled selected>Choix de l'orateur</option>
                <option value="all">Tous</option>
                {% for speaker in speakers %}
                  <option value="{{ speaker.id }}">{{ speaker.fullName }}</option>
                {% endfor %}
              </select>
            </label>
          </div>

        </div>
        <div class="nk-tb-list nk-tb-orders">
          <div class="nk-tb-item nk-tb-head">
            <div class="nk-tb-col tb-col"><span>Discours n°</span></div>
            <div class="nk-tb-col tb-col-md"><span>Orateur(s)</span></div>
          </div>
          {% for speech in speeches %}
            <div class="nk-tb-item">
              <div class="nk-tb-col">
                <a href="{{ path('app_meeting_weekend_speech_show', {'number': speech.number}) }}">{{ speech.number }} - {{ speech.title }}</a>
              </div>
              <div class="nk-tb-col tb-col-md">
                {% for survey in speech.speechSurveys %}
                  <span class="badge bg-info">{{ survey.speaker.fullName }}</span>
                {% endfor %}
              </div>

            </div>
          {% endfor %}

        </div>
      </div>
    </div><!-- .card -->
  </div><!-- .col -->


{% endblock %}

{% block javascripts %}
  <script>
    $(document).ready(function() {
      $('.selectSpeaker').change(function (e) {
        const publisherId = $(this).val()
        if (publisherId === 'all') {
          window.location.href = "/meeting/weekend/speech/surveys/resume"
          return;
        }
        window.location.href = "/meeting/weekend/speech/surveys/resume?publisherId=" + publisherId
      })
    })
  </script>
{% endblock %}
